Bug 1553844 - Some armhfp SoC's fail to reboot after installation is completed [NEEDINFO]
Summary: Some armhfp SoC's fail to reboot after installation is completed
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: armhfp
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2018-03-09 17:06 UTC by Paul Whalen
Modified: 2018-08-29 15:10 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:10:41 UTC
jforbes: needinfo?


Attachments (Terms of Use)
Text installation output (72.19 KB, text/plain)
2018-03-09 17:06 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2018-03-09 17:06:34 UTC
Created attachment 1406325 [details]
Text installation output

Description of problem:

When doing installations on armhfp, some SoC's fail to reboot when the installation is completed successfully, requiring user intervention. 

Reboot works as expected with the same kernel outside of anaconda.

Version-Release number of selected component (if applicable):
anaconda 28.22.1-1.fc28

How reproducible:
Always. 

Steps to Reproduce:
1. Complete a network install on armhfp (raspbery pi 2/3 for example)
2. Reboot after successful install (issued in the kickstart or manually)



Actual results:

...
[  OK  ] Unmounted /mnt/sysimage.
[  OK  ] Reached target Unmount All Filesystems.
[  OK  ] Stopped target Local File Systems (Pre).
         Stopping Device-Mapper Multipath Device Controller...
[  OK  ] Stopped Create Static Device Nodes in /dev.
[  OK  ] Stopped Create System Users.
[  OK  ] Stopped Remount Root and Kernel File Systems.
[  OK  ] Reached target Shutdown.
[  OK  ] Reached target Final Step. 
         Starting Reboot...
[  OK  ] Stopped Device-Mapper Multipath Device Controller.
[ 3170.980713] reboot: Restarting system

The system will not reboot at this point and requires a manual reset.

Comment 1 Martin Kolman 2018-03-09 17:57:39 UTC
If Anaconda tells the system to reboot by calling the appropriate commands and nothing happens, something is most likely wrong lower in the stack (kernel/systemd ?). So reassigning to kernel for further triage.

Comment 2 Justin M. Forbes 2018-07-23 15:03:54 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:10:41 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.